Just a simple routine, and I'm making a dumb mistake somewhere (setq ss1 (ssget "x" '((0 . "VIEWPORT"))) ctr 0) (repeat (sslength ss1) (setq en1 (ssname ss1 ctr) ctr (+ 1 ctr) end1 (entget en1) obj1 (vlax-ename->vla-object en1) objscl1 (vlax-safearray->real (vla-get-customScale obj)) objlay1 (cons (strcat (cdr (assoc 410 end1)) ": Has a Scale of " (rtos (/ 1 objscl1))) objlay1) ) (acad_strlsort objlay1) (foreach vp1 objlay1 (princ (strcat " " vp1))) ) Now if someone can explain how I get the layout name from a pspace viewport (which I can't see in the dump), I might learn a wee bit more about vlisp... Thanks Jamie Duncan